Package de.willuhn.jameica.hbci.passport

# Interface Passport

All Superinterfaces:
  `Remote`

All Known Subinterfaces:
  `Passport`, `Passport`, `Passport`

All Known Implementing Classes:
  `PassportImpl`, `PassportImpl`, `PassportImpl`

public interface Passport extends Remote
Basis-Interface aller Passports. Insofern ein Passport (Sicherheitsmedium) beim Start der Anwendung gefunden werden soll, muss er dieses Interface implementieren.
Als Referenz kann hierbei der bereits existierende Passport fuer die Unterstuetzung von DDV-Chipkarten vorhandene de.willuhn.jameica.passports.ddv.server.PassportImpl dienen.

## Method Summary

Modifier and Type
Method
Description
`Class`
`getConfigDialog()`
Liefert die Klasse des Konfigurationsdialogs.
`List<? extends Configuration>`
`getConfigurations()`
Liefert die Liste der Konfigurationen.
`PassportHandle`
`getHandle()`
Liefert das Passport-Handle.
`String`
`getInfo()`
Liefert einen Info-Text, den die Passport-Klasse frei implementieren kann.
`String`
`getName()`
Liefert den sprechenden Namen des Passports.
`void`
`init(Konto konto)`
Diese Funktion wird von Hibiscus aufgerufen, wenn der Passport initialisiert wird.

## Method Details

### init

void init(Konto konto) throws RemoteException
Diese Funktion wird von Hibiscus aufgerufen, wenn der Passport initialisiert wird. Sie kann vom Passport implementiert werden - muss jedoch nicht. Falls der Passport jedoch wissen muss, fuer welches Konto er gerade zustaendig ist, kann er es ueber diese Funktion erfahren. Die Funktion wird unmittelbar vor der Ausfuehrung eines HBCI-Jobs im Konto ausgefuehrt.

Parameters:
  `konto` - das Konto, fuer welches der Passport gerade verwendet werden soll.
Throws:
  `RemoteException` - BUGZILLA #7 http://www.willuhn.de/bugzilla/show_bug.cgi?id=7

### getName

String getName() throws RemoteException
Liefert den sprechenden Namen des Passports. Dieser Name wird dem Benutzer zum Beispiel in Combo-Boxen angezeigt.

Returns:
  Name des Passports.
Throws:
  `RemoteException`

### getInfo

String getInfo() throws RemoteException
Liefert einen Info-Text, den die Passport-Klasse frei implementieren kann. Sie kann hier z.Bsp. die Anzahl vorhandener PIN/TAN-Konfigurationen oder Schluesseldateien zuruecklistern. BUGZILLA 471

Returns:
  Info-Text zu dem Sicherheitsmedium.
Throws:
  `RemoteException`

### getHandle

PassportHandle getHandle() throws RemoteException
Liefert das Passport-Handle. Das ist im Prinzip die direkte Schnittstelle zu HBCI4Java.

Returns:
  Handle.
Throws:
  `RemoteException`

### getConfigDialog

Class getConfigDialog() throws RemoteException
Liefert die Klasse des Konfigurationsdialogs. Oeffnet der Anwender den Konfigurations-Dialog durch Doppelklick auf die Liste der vorhandenen Passports, dann wird eine Instanz dieser Klasse erzeugt und in der GUI angezeigt. Als Referenz kann hierzu de.willuhn.jameica.passports.ddv.View dienen.

Returns:
  Die Klasse des Konfig-Dialogs. Muss von `AbstractView` abgeleitet sein.
Throws:
  `RemoteException`

### getConfigurations

List<? extends Configuration> getConfigurations() throws RemoteException
Liefert die Liste der Konfigurationen.

Returns:
  die Liste der Konfigurationen.
Throws:
  `RemoteException`